Bug 1018717 (CVE-2013-5772) - CVE-2013-5772 OpenJDK: insufficient html escaping in jhat (jhat, 8011081)
Summary: CVE-2013-5772 OpenJDK: insufficient html escaping in jhat (jhat, 8011081)
Status: CLOSED ERRATA
Alias: CVE-2013-5772
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
low
low
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard: impact=low,public=20131015,reported=2...
Keywords: Security
Depends On:
Blocks: 1017632
TreeView+ depends on / blocked
 
Reported: 2013-10-14 09:24 UTC by Tomas Hoger
Modified: 2019-06-08 19:44 UTC (History)
4 users (show)

(edit)
Clone Of:
(edit)
Last Closed: 2013-12-08 22:18:17 UTC


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2013:1440 normal SHIPPED_LIVE Critical: java-1.7.0-oracle security update 2013-11-13 16:11:19 UTC
Red Hat Product Errata RHSA-2013:1447 normal SHIPPED_LIVE Important: java-1.7.0-openjdk security update 2013-10-21 21:42:45 UTC
Red Hat Product Errata RHSA-2013:1451 normal SHIPPED_LIVE Critical: java-1.7.0-openjdk security update 2013-10-22 21:17:48 UTC
Red Hat Product Errata RHSA-2013:1505 normal SHIPPED_LIVE Important: java-1.6.0-openjdk security update 2013-11-05 23:03:16 UTC
Red Hat Product Errata RHSA-2013:1507 normal SHIPPED_LIVE Critical: java-1.7.0-ibm security update 2013-11-07 21:55:25 UTC
Red Hat Product Errata RHSA-2013:1508 normal SHIPPED_LIVE Critical: java-1.6.0-ibm security update 2013-11-07 21:54:46 UTC
Red Hat Product Errata RHSA-2013:1793 normal SHIPPED_LIVE Low: Red Hat Network Satellite server IBM Java Runtime security update 2013-12-05 22:38:10 UTC
Red Hat Product Errata RHSA-2014:0414 normal SHIPPED_LIVE Important: java-1.6.0-sun security update 2017-12-15 19:38:49 UTC

Description Tomas Hoger 2013-10-14 09:24:32 UTC
It was discovered that jhat (Java Heap Analysis Tool) failed to properly escape all data embedded into HTML pages it generates.  A specially crafted content in the memory of a Java program analyzed using jhat could possibly be used to conduct a Cross-Site Scripting attacks against users view jhat generated pages.

Comment 1 Stefan Cornelius 2013-10-16 06:56:46 UTC
External References:

http://www.oracle.com/technetwork/topics/security/cpuoct2013-1899837.html

Comment 2 Tomas Hoger 2013-10-16 08:04:42 UTC
Fixed in Oracle Java SE 7u45 and 6u65.

OpenJDK upstream commit:

http://hg.openjdk.java.net/jdk7u/jdk7u/jdk/rev/85226f84bc29

Comment 3 errata-xmlrpc 2013-10-17 17:39:47 UTC
This issue has been addressed in following products:

  Supplementary for Red Hat Enterprise Linux 6
  Supplementary for Red Hat Enterprise Linux 5

Via RHSA-2013:1440 https://rhn.redhat.com/errata/RHSA-2013-1440.html

Comment 4 errata-xmlrpc 2013-10-21 17:44:36 UTC
This issue has been addressed in following products:

  Red Hat Enterprise Linux 5

Via RHSA-2013:1447 https://rhn.redhat.com/errata/RHSA-2013-1447.html

Comment 5 errata-xmlrpc 2013-10-22 17:20:08 UTC
This issue has been addressed in following products:

  Red Hat Enterprise Linux 6

Via RHSA-2013:1451 https://rhn.redhat.com/errata/RHSA-2013-1451.html

Comment 6 errata-xmlrpc 2013-11-05 18:05:23 UTC
This issue has been addressed in following products:

  Red Hat Enterprise Linux 5
  Red Hat Enterprise Linux 6

Via RHSA-2013:1505 https://rhn.redhat.com/errata/RHSA-2013-1505.html

Comment 7 errata-xmlrpc 2013-11-07 17:02:12 UTC
This issue has been addressed in following products:

  Supplementary for Red Hat Enterprise Linux 5
  Supplementary for Red Hat Enterprise Linux 6

Via RHSA-2013:1508 https://rhn.redhat.com/errata/RHSA-2013-1508.html

Comment 8 errata-xmlrpc 2013-11-07 17:08:52 UTC
This issue has been addressed in following products:

  Supplementary for Red Hat Enterprise Linux 5
  Supplementary for Red Hat Enterprise Linux 6

Via RHSA-2013:1507 https://rhn.redhat.com/errata/RHSA-2013-1507.html

Comment 9 errata-xmlrpc 2013-12-05 17:41:10 UTC
This issue has been addressed in following products:

  Red Hat Network Satellite Server v 5.4
  Red Hat Network Satellite Server v 5.5
  Red Hat Satellite Server v 5.6

Via RHSA-2013:1793 https://rhn.redhat.com/errata/RHSA-2013-1793.html

Comment 11 errata-xmlrpc 2014-04-17 11:36:28 UTC
This issue has been addressed in following products:

  Oracle Java for Red Hat Enterprise Linux 6
  Oracle Java for Red Hat Enterprise Linux 5

Via RHSA-2014:0414 https://rhn.redhat.com/errata/RHSA-2014-0414.html


Note You need to log in before you can comment on or make changes to this bug.